#include <iostream>
#include <fstream>
#include <stdlib.h>

using namespace std;


const string FOZ_DTX_VERSION_0_5 = "FOZ_DTX_VERSION_0_5";
const string FOZ_DTX_BIN = "FOZ_DTX_BIN";
const string FOZ_DTX_VERSION_0_4 = "FOZ_DTX_VERSION_0_4";
const string FOZ_DTX_VERSION_0_3 = "FOZ_DTX_VERSION_0_3";
const string FOZ_DTX_VERSION_0_2 = "FOZ_DTX_VERSION_0_2";
const string FOZ_DTX_VERSION_0_1 = "FOZ_DTX_VERSION_0_1";
const string FOZ_DTX_VERSION_PRERELEASE_BETA_0_1 = "FOZ_DTX_VERSION_PRERELEASE_BETA_0_1";
const string FOZ_DTX_VERSION_BETA_0_1 = "FOZ_DTX_VERSION_BETA_0_1";



int FOZ_DTX_INIT(string args){
    if (args == "FOZ_DTX_VERSION_0_5"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("renderer.fozdtxdat");
        foz_dtx_render<<"RENDER_MCPE_USING[0_METABALL();>>INSTANCE]<GET_FOZ_DTX_VERSION_0_5[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>";
    }

    else if (args == "FOZ_DTX_VERSION_0_4"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("renderer.fozdtxdat");
        foz_dtx_render<<"RENDER_MCPE_USING[0_METABALL();>>INSTANCE]<GET_FOZ_DTX_VERSION_0_4[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>";
    }
    else if (args == "FOZ_DTX_VERSION_0_3"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("renderer.fozdtxdat");
        foz_dtx_render<<"RENDER_MCPE_USING[0_METABALL();>>INSTANCE]<GET_FOZ_DTX_VERSION_0_3[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>";
    }
    else if (args == "FOZ_DTX_VERSION_0_2"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("renderer.fozdtxdat");
        foz_dtx_render<<"RENDER_MCPE_USING[0_METABALL();>>INSTANCE]<GET_FOZ_DTX_VERSION_0_2[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>";
    }
    else if (args == "FOZ_DTX_VERSION_0_1"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("renderer.fozdtxdat");
        foz_dtx_render<<"RENDER_MCPE_USING[0_METABALL();>>INSTANCE]<GET_FOZ_DTX_VERSION_0_1[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>";
    }
    else if (args == "FOZ_DTX_VERSION_BETA_0_1"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("renderer.fozdtxdat");
        foz_dtx_render<<"RENDER_MCPE_USING[0_METABALL();>>INSTANCE]<GET_FOZ_DTX_VERSION_BETA_0_1[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>";
    }
    else if (args == "FOZ_DTX_VERSION_PRERELEASE_BETA_0_1"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("renderer.fozdtxdat");
        foz_dtx_render<<"RENDER_MCPE_USING[0_METABALL();>>INSTANCE]<GET_FOZ_DTX_VERSION_PRERELEASE_BETA_0_1[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>";
    }
    else if (args == "FOZ_DTX_BIN"){
        system("curl https://fozdtxonline.wordpress.com");
        ofstream foz_dtx_render("fozdtx.bin");
        foz_dtx_render<<"USING_FOZ_DTX_BIN<[FROM{HTTPS://FOZDTXONLINE.WORDPRESS.COM}]>{0011001, 00111100, 11111100}";
    }
}



class FOZ_DTX_CREATE_RENDERER {
    public: 
    string FOZ_DTX_INIT_RENDERER_NAME = "FOZ_DTX_DEFAULT_RENDERER";
        int setRendererName(string renderer_name_dtx){
            FOZ_DTX_INIT_RENDERER_NAME = renderer_name_dtx;
        }
        class foz_dtx_renderer_properties {
            public:

                int setSysBgColor(string colorName){
                    FOZ_DTX_INIT(FOZ_DTX_BIN);
                    if (colorName == "red"){
                        system("color 40");
                    }
                    else if (colorName == "lawngreen"){
                        system("color a0");
                    }
                    else if (colorName == "green"){
                        system("color A0");
                    }
                    else if (colorName == "blue"){
                        system("color 10");
                    }
                    else if (colorName == "skyblue"){
                        system("color 30");
                    }
                    else if (colorName == "yellow"){
                        system("color 60");
                    }
                    else if (colorName == "white"){
                        system("color f0");
                    }
                    else if (colorName == "black"){
                        system("color 00");
                    }

                }

                int setSysTextColor(string colorName){
                    FOZ_DTX_INIT(FOZ_DTX_BIN);
                    if (colorName == "red"){
                        system("color 4");
                    }
                    else if (colorName == "lawngreen"){
                        system("color a");
                    }
                    else if (colorName == "green"){
                        system("color A");
                    }
                    else if (colorName == "blue"){
                        system("color 1");
                    }
                    else if (colorName == "skyblue"){
                        system("color 3");
                    }
                    else if (colorName == "yellow"){
                        system("color 6");
                    }
                    else if (colorName == "white"){
                        system("color f");
                    }
                    else if (colorName == "black"){
                        system("color 0");
                    }

                }


        };
        foz_dtx_renderer_properties properties;
};


class FOZ_DTX_CREATE_APPLICATION_WINDOW {
    public:
            int hold(){
                int _foz_dtx_hold_window = 10111001;
                bool _dtx_det_bool_true = true;
                for (int _dtx_start_window_loop = 1;_dtx_det_bool_true = true;_dtx_start_window_loop++){
                    cin>>_foz_dtx_hold_window;
                }
            }
};

class FOZ_DTX_CREATE_GAME_OBJECTS {
    public: 
        class FOZ_DTX_CREATE_OBJECTS_GAME{
            public:
            int cube2d(){
                system("color FF");
                cout<<endl<<"ff"<<endl;
            }
        };
        FOZ_DTX_CREATE_OBJECTS_GAME create;
};